<?php

function induxter_install_required_plugins() {

	$plugins = array(

		array(
			'name'     => esc_html__('Breadcrumb NavXT', 'induxter'),
			'slug'     => 'breadcrumb-navxt',
			'version'  => '7.0.2',
			'required' => false,
		),

		array(
			'name'     => esc_html__('Codestar Framework', 'induxter'),
			'slug'     => 'codestar-framework',
			'source'   => 'api',
			'version'  => '2.2.6',
			'required' => true
		),


		array(
			'name'     => esc_html__('Contact Form 7', 'induxter'),
			'slug'     => 'contact-form-7',
			'version'  => '5.5.6',
			'required' => false
		),

		array(
			'name'     => esc_html__('Elementor Page Builder', 'induxter'),
			'slug'     => 'elementor',
			'version'  => '3.6.2',
			'required' => true,
		),

		array(
			'name'     => esc_html__('Mailchimp for WordPress', 'induxter'),
			'slug'     => 'mailchimp-for-wp',
			'version'  => '4.8.7',
			'required' => false,
		),

		array(
			'name'     => esc_html__('One Click Demo Import', 'induxter'),
			'slug'     => 'one-click-demo-import',
			'version'  => '3.0.2',
			'required' => false,
		),


		array(
			'name'     => esc_html__('ThemeDraft Core', 'induxter'),
			'slug'     => 'themedraft-core',
			'source'   => 'api',
			'version'  => '1.2.1',
			'required' => true
		),

		array(
			'name'     => esc_html__('TI WooCommerce Wishlist', 'induxter'),
			'slug'     => 'ti-woocommerce-wishlist',
			'version'  => '1.42.1',
			'required' => false,
		),

		array(
			'name'     => esc_html__('WooCommerce', 'induxter'),
			'slug'     => 'woocommerce',
			'version'  => '6.3.1',
			'required' => false,
		),

		array(
			'name'     => esc_html__('YITH WooCommerce Quick View', 'induxter'),
			'slug'     => 'yith-woocommerce-quick-view',
			'version'  => '1.14.0',
			'required' => false,
		),
	);

	$config = array(
		'id'           => 'induxter',
		'parent_slug'  => 'induxter',
		'menu'         => 'induxter-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'is_automatic' => false,
		'dismiss_msg'  => '',
		'message'      => '',
		'default_path' => '',
	);

	tgmpa($plugins, $config);
}

add_action('tgmpa_register', 'induxter_install_required_plugins');